On Wed, 01 Jun 2011 05:35:29 -0700, Dirk Hohndel <hohn...@infradead.org> wrote:
> This used to work and used to be supported and was broken in a recent
> notmuch patch.

Hey, Dirk.  I would actually say that support for gmime 2.6 was merely
coincidental up until now.  For all functionality we had been using, the
API in 2.4 and 2.6 was the same (the patch that you point to only
modifies the config file, not any of the code itself).  But the recent
crypto support uses the gmime 2.4 crypto API, which apparently has
changed in versions of gmime >2.4.

If you don't have access to gmime 2.4, then maybe you could look into
providing patches for gmime 2.6 support, or alternately into disabling
the notmuch functionality that does not work with gmime 2.6 if only 2.6
is available.

jamie.

Attachment: pgpddGGcq9phQ.pgp
Description: PGP signature

_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
http://notmuchmail.org/mailman/listinfo/notmuch

Reply via email to